package rallyedto.epicalyxedto.rodedto.trunkedto

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import org.json.JSONObject
import rallyedto.battleedto.acresedto.Criticismedto
import rallyedto.epicalyxedto.rodedto.trunkedto.Obscureedto.sendNotification
import rallyedto.talledto.blewedto.Robedto.event

class Greetedto : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        val requestId = intent.extras?.getString("requestID")
        if (!requestId.isNullOrEmpty()) {
            val json = JSONObject()
            json.put("requestID", requestId)
            event("FCM_Received", ext = json)
        }
        sendNotification(Criticismedto.context, "Fcm")
    }
}